## ros-foxy-launch-testing-ros 0.11.7

=== debian/changelog ===
ros-foxy-launch-testing-ros (0.11.7-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-launch-testing-ros (0.11.6-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-launch-testing-ros (0.11.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 16 Nov 2021 08:00:00 -0000

ros-foxy-launch-testing-ros (0.11.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 07:00:00 -0000

ros-foxy-launch-testing-ros (0.11.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-launch-testing-ros (0.11.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-launch-testing-ros (0.11.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-launch-testing-ros (0.11.0-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#194 <https://github.com/ros2/launch_ros/issues/194>)
  * Contributors: Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 28 Oct 2020 07:00:00 -0000

ros-foxy-launch-testing-ros (0.10.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-launch-testing-ros (0.10.2-1focal) focal; urgency=high

  * Call LaunchROSTestModule with the new API. (#150 <https://github.com/ros2/launch_ros/issues/150>)
  * Contributors: Chris Lalancette

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-launch-testing-ros (0.10.1-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 May 2020 07:00:00 -0000

ros-foxy-launch-testing-ros (0.10.0-1focal) focal; urgency=high

  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Avoid deprecation warning, use from_parent (#141 <https://github.com/ros2/launch_ros/issues/141>)
  * Show error strings as part of the flake8 test (#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove unused 'launch' import (#133 <https://github.com/ros2/launch_ros/issues/133>)
  * Enable implicit ROS startup by launch_ros actions  (#128 <https://github.com/ros2/launch_ros/issues/128>)
  * Fix launch_testing_ros example (#121 <https://github.com/ros2/launch_ros/issues/121>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 Apr 2020 07:00:00 -0000

ros-foxy-launch-testing-ros (0.9.4-1focal) focal; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#94 <https://github.com/ros2/launch_ros/issues/94>)
  * Contributors: Dirk Thomas

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 19 Nov 2019 08:00:00 -0000

ros-foxy-launch-testing-ros (0.9.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 08:00:00 -0000

ros-foxy-launch-testing-ros (0.9.2-1focal) focal; urgency=high

  * Remove self.proc_output and ready_fn (#90 <https://github.com/ros2/launch_ros/issues/90>)
  * Add support for launching nodes not in a package (#82 <https://github.com/ros2/launch_ros/issues/82>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.9.1-1focal) focal; urgency=high

  * Make launch_testing_ros examples standalone. (#80 <https://github.com/ros2/launch_ros/issues/80>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Sat, 28 Sep 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.9.0-1focal) focal; urgency=high

  * install package manifest (#71 <https://github.com/ros2/launch_ros/issues/71>)
  * Do not import rclpy nor launch_ros at module level. (#69 <https://github.com/ros2/launch_ros/issues/69>)
  * Unindent setup.cfg options. (#66 <https://github.com/ros2/launch_ros/issues/66>)
  * Support launch_ros test runner in pytest (#54 <https://github.com/ros2/launch_ros/issues/54>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 25 Sep 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.8.4-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Thu, 30 May 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.8.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.8.2-1focal) focal; urgency=high

  * fix example test logic (#28 <https://github.com/ros2/launch_ros/issues/28>)
  * Add custom LaunchTestRunner with ROS specific preamble (#26 <https://github.com/ros2/launch_ros/issues/26>)
  * Fix deprecation warnings (#25 <https://github.com/ros2/launch_ros/issues/25>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.8.1-1focal) focal; urgency=high

  * try local import (#20 <https://github.com/ros2/launch_ros/issues/20>)
  * Merge apex_launchtest_ros functionality into launch_testing_ros (#8 <https://github.com/ros2/launch_ros/issues/8>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-launch-testing-ros (0.8.0-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Sun, 14 Apr 2019 07:00:00 -0000
